> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Object Removal

> This endpoint helps to remove object from an existing image.

## Request

Make a `POST` request to below endpoint and pass the required parameters as a request body to the endpoint.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/image_editing/object_removal' \
```

## Body

```json json theme={null}
{    
  "key": "enterprise_api_key",    
  "init_image": "https://i.ibb.co/kMRK2mg/image2.jpg",    
  "mask_image": "https://i.ibb.co/tH0Z8HY/mask2.jpg",    
  "track_id":null,    
  "webhook":null
}
```

## Body Attributes

<ParamField body="key" type="string" required>
  Your API Key used for request authorization
</ParamField>

<ParamField body="init_image" type="string" required>
  Link to the actual image
</ParamField>

<ParamField body="mask_image" type="string" required>
  Link to the mask area you want to remove
</ParamField>

<ParamField body="webhook" type="string">
  Set an URL to get a POST API call once the image generation is complete.
</ParamField>

<ParamField body="track_id" type="string">
  This ID is returned in the response to the webhook API call. This will be used to identify the webhook request.
</ParamField>
